Get Charger Status
GET
/tenant/{tenant}/charger/{chargerId}/status
const url = 'https://api.exolink.cloud/tenant/example/charger/1/status';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.exolink.cloud/tenant/example/charger/1/status \ --header 'Authorization: Bearer <token>'Get real-time status of a charger
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”tenant
required
string
chargerId
required
integer
Responses
Section titled “Responses”Charger status
Media typeapplication/json
Real-time charger status information
object
connected
Whether charger is currently connected
boolean
lastSeen
Last connection time
string format: date-time
status
Current OCPP ChargePointStatus
string
errorCode
OCPP error code if status is Faulted
string
connectors
Status of individual connectors
Array<object>
object
connectorId
Connector ID (0 for main charger, 1+ for individual connectors)
integer
status
OCPP connector status
string
currentPower
Current power output in kW
number
Example
{ "status": "Available", "connectors": [ { "status": "Available" } ]}